function doCheck()
{
	var cidval = $('cid').value ;
	var cidArray = new Array();
	cidArray = cidval.split("-");
	if (parseInt(cidArray[1])==1)
	{
		alert('指定的栏目不允许添加！只允许在其子栏目中添加');
		ShowTabs(0);
		$('cid').focus();
		return false;
	}
	if ($('title').value=="") 
	{
		alert("请输入标题！");
		ShowTabs(0);
		$('title').focus();
		return false;
	}
	$('submit').disabled = true;
	$('divProcessing').style.display="";
	return true;
}

function movieCollect(){
	qmeCms.dialogView.alert("采集数据", "<p style='padding:12px;'>网络地址：<input type='text' id='movie-collect-url' class='f-text' value='' size='40' /></p><p style='padding-left:12px'><font color='blue'>只能填写youku，ku6，tudou，qiyi，56，sina，sohu的视频网址</font></p>", {});
	qmeCms.dialogView.setSubmit(true, " 采集 ", function(){
		if($('movie-collect-url').value.trim().substr(0,7) != 'http://') return false;
		qmeCms.dialogView.setSubmit(true, " 数据分析中... ", function(){});
		AJAX.request("module.php?mod="+mod+"&channelid="+channelid+"&action=collect",{
			method: 'post',
			parameters	: 'url='+$('movie-collect-url').value.trim(),
			onComplete	: function(resp){
				qmeCms.dialogView.close();
				var json = evaljson(resp);
				if(json == null) return alert(resp);
				if(!json.type) return alert("分析失败");
				var movie_source_type_option_temp = '';
				for(var i in movie_source_type_json){
					if(typeof movie_source_type_json[i] == 'string'){
						movie_source_type_option_temp += "<option value='"+i+"' "+(i == json.type ? ' selected=true' : '')+">"+movie_source_type_json[i]+"</option>";
					}
				}
				var option = "<select name='types[]'>"+movie_source_type_option_temp+"</select>";
				for(var i=0;i<json.data.length;i++){
					autoIndex++;
					var index = $('urlsitem').rowIndex;
					var _tr = $('down_table').insertRow( index);
					var a = _tr.insertCell(0);
					a.className = "tablerowl";
					a.innerHTML = "播放地址";
					var b = _tr.insertCell(1);
					b.className = "tablerow";
					b.innerHTML = "<input name=\"url_name[]\" type=\"text\" class='f-text'  size=\"15\" maxlength=\"30\" value=\""+json.data[i][0]+"\">&nbsp;"+option+" <input  class='f-text' name=\"urls[]\" id=\"urls_modify_"+autoIndex+"\" type=\"text\" size=\"40\" maxlength=\"255\" value=\""+json.data[i][1]+"\"> <input type=\"button\" class=\"f-button\" value=\"上传\" onClick=\"qmeCms.dialogView.iframe('上传视频','system.php?sys=upload&id=urls_modify_"+autoIndex+"&channelid="+channelid+"&file_type=media',{type:'abs'});\"><input class=\"f-button\" type=button onclick=\"SelectBrowse('"+config.url+"admin/images/browse.html?type=media&channelid="+channelid+"&callback=getBrowseSoft','urls_modify_"+autoIndex+"',550,360);\" value=\"浏览\"><input class=\"f-button\" type=\"button\" value=\"删除\" onclick=\"$('down_table').deleteRow(this.parentNode.parentNode.rowIndex)\">";
				}
			}
		});
	});
}